# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.pool import Pool
from . import location
from . import configuration
from . import room
from . import booking
from . import folio
from . import housekeeping
from . import company
from . import city
from . import party
from . import channel
from . import product
from . import sale
from . import service
from . import policy
from . import dash
from . import invoice


def register():
    Pool.register(
        room.RoomClassification,
        room.Room,
        room.Amenities,
        room.RoomAmenities,
        room.RoomTemplate,
        city.MigrationCity,
        location.HotelLocation,
        policy.HotelPolicyCancellation,
        company.Company,
        configuration.ConfigurationProduct,
        configuration.Configuration,
        product.Template,
        product.PriceList,
        booking.Booking,
        booking.BookingDailyStart,
        booking.ManagerStart,
        housekeeping.Housekeeping,
        housekeeping.HousekeepingCleaningType,
        party.Party,
        channel.SaleChannel,
        channel.ChannelTax,
        channel.ChannelCommission,
        booking.SelectRoomsAsk,
        booking.BookingVoucher,
        booking.RoomsOccupancyStart,
        booking.BookingForecastStart,
        booking.UpdateHolderStart,
        booking.BookingChannelCommision,
        folio.FolioGuest,
        folio.GuestsListStart,
        folio.StatisticsByMonthStart,
        folio.Folio,
        folio.FolioCharge,
        folio.FolioStockMove,
        folio.OpenMigrationStart,
        sale.InvoiceIncomeDailyStart,
        service.Service,
        service.ServiceLine,
        service.ServiceKind,
        service.CreateDailyServicesStart,
        housekeeping.HotelHousekeepingTask,
        housekeeping.HotelTask,
        housekeeping.HousekeepingServiceStart,
        room.CleanningDays,
        dash.DashApp,
        dash.AppHotelPlanner,
        invoice.InvoiceLine,
        invoice.Invoice,
        # folio.TransferfolioStart,
        # folio.TransferChargeStart,
        # folio.CheckOutfolioFailed,
        # folio.ChangeRoomStart,
        module='hotel', type_='model')
    Pool.register(
        booking.BookingReport,
        booking.BookingForecastReport,
        booking.RoomsOccupancyReport,
        booking.BookingDailyReport,
        booking.ManagerReport,
        booking.BookingStatementReport,
        folio.Migration,
        folio.GuestsListReport,
        folio.RegistrationCardReport,
        folio.StatisticsByMonthReport,
        sale.InvoiceIncomeDailyReport,
        sale.InvoiceSimplifiedReport,
        service.ServiceReport,
        housekeeping.HousekeepingServiceReport,
        module='hotel', type_='report')
    Pool.register(
        booking.SelectRooms,
        booking.BookingForecast,
        booking.RoomsOccupancy,
        booking.BookingDaily,
        booking.UpdateHolder,
        booking.Manager,
        folio.OpenMigration,
        folio.GuestsList,
        folio.StatisticsByMonth,
        folio.ReverseCheckout,
        service.CreateDailyServices,
        housekeeping.HousekeepingService,
        sale.InvoiceIncomeDaily,
        party.CreateGuest,
        # folio.ChangeRoom,
        # folio.Transferfolio,
        # folio.TransferCharge,
        module='hotel', type_='wizard')
